<template>
  <div class="wrapper" :class="{ selected }"></div>
</template>

<script>
export default {
  props: {
    selected: {
      type: Boolean,
      default: false
    }
  }
};
</script>

<style lang="scss" scoped>
.wrapper {
  position: relative;
  display: inline-block;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  box-sizing: border-box;
  border: 1px solid $color-pigeon-grey;

  &.selected::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -4px;
    margin-left: -4px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    box-sizing: border-box;
    background: $color-skm-red;
  }
}
</style>
